Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.pipeline
Class FileNotificationCommand

    java.lang.Object
      org.labkey.remoteapi.Command<FileNotificationResponse>
          org.labkey.remoteapi.pipeline.FileNotificationCommand

    public class FileNotificationCommand

extends Command<FileNotificationResponse>

Notifies the server that files may have become available for the pipeline to process. Causes the server to look through all of the jobs that are blocked, waiting for files, and release the ones whose files are now available. User: jeckels Date: Feb 15, 2011

Nested Class Summary

Nested classes/interfaces inherited from class org.labkey.remoteapi.Command
`Command.CommonParameters`

Field Summary

Fields inherited from class org.labkey.remoteapi.Command
`CONTENT_TYPE_JSON`

Constructor Summary
`FileNotificationCommand()`

Method Summary
`protected FileNotificationResponse` | `createResponse(java.lang.String text, int status, java.lang.String contentType, org.json.simple.JSONObject json)` Creates an instance of the response class, initialized with the response text and the HTTP status code.

Methods inherited from class org.labkey.remoteapi.Command
`copy, createMethod, execute, getActionName, getActionUrl, getControllerName, getHttpMethod, getParameters, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileNotificationCommand

    public FileNotificationCommand()

Method Detail

### createResponse

    protected FileNotificationResponse createResponse(java.lang.String text,
                                                      int status,
                                                      java.lang.String contentType,
                                                      org.json.simple.JSONObject json)

  Description copied from class: `Command`
  Creates an instance of the response class, initialized with the response text and the HTTP status code.

  Override this method to create an instance of a different class that extends CommandResponse

  Overrides:
    `createResponse` in class `Command<FileNotificationResponse>`
  Parameters:
    `text` - The response text from the server.
    `status` - The HTTP status code.
    `contentType` - The Content-Type header value.
    `json` - The parsed JSONObject (or null if no JSON was returned).
  Returns:
    An instance of the response object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD